Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").

Headers

Conductor-End-User-Id
string
required

The ID of the End-User to receive this request.

Example:

"end_usr_1234567abcdefg"

Query Parameters

ids
string[]

Filter for specific inventory sites by their QuickBooks-assigned unique identifier(s).

IMPORTANT: If you include this parameter, QuickBooks will ignore all other query parameters for this request.

NOTE: If any of the values you specify in this parameter are not found, the request will return an error.

Example:
names
string[]

Filter for specific inventory sites by their name(s), case-insensitive. Like id, name is a unique identifier for an inventory site.

IMPORTANT: If you include this parameter, QuickBooks will ignore all other query parameters for this request.

NOTE: If any of the values you specify in this parameter are not found, the request will return an error.

Example:
status
enum<string>
default:active

Filter for inventory sites that are active, inactive, or both.

Available options:
active,
all,
inactive
Example:

"active"

updatedAfter
string

Filter for inventory sites updated on or after this date/time. Accepts the following ISO 8601 formats:

  • date-only (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the start of the specified day in the local timezone of the end-user's computer (e.g., 2025-01-012025-01-01T00:00:00).
  • datetime without timezone (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.
  • datetime with timezone (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.
Example:

"2025-01-01T12:34:56.000Z"

updatedBefore
string

Filter for inventory sites updated on or before this date/time. Accepts the following ISO 8601 formats:

  • date-only (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the end of the specified day in the local timezone of the end-user's computer (e.g., 2025-01-012025-01-01T23:59:59).
  • datetime without timezone (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.
  • datetime with timezone (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.
Example:

"2025-02-01T12:34:56.000Z"

nameContains
string

Filter for inventory sites whose name contains this substring, case-insensitive.

NOTE: If you use this parameter, you cannot also use nameStartsWith or nameEndsWith.

Example:

"ABC"

nameStartsWith
string

Filter for inventory sites whose name starts with this substring, case-insensitive.

NOTE: If you use this parameter, you cannot also use nameContains or nameEndsWith.

Example:

"ABC"

nameEndsWith
string

Filter for inventory sites whose name ends with this substring, case-insensitive.

NOTE: If you use this parameter, you cannot also use nameContains or nameStartsWith.

Example:

"ABC"

nameFrom
string

Filter for inventory sites whose name is alphabetically greater than or equal to this value.

Example:

"A"

nameTo
string

Filter for inventory sites whose name is alphabetically less than or equal to this value.

Example:

"Z"

Response

200 - application/json

Returns a list of inventory sites.

objectType
string
required

The type of object. This value is always "list".

Allowed value: "list"
Example:

"list"

url
string
required

The endpoint URL where this list can be accessed.

Example:

"/v1/quickbooks-desktop/inventory-sites"

data
The Inventory Site object · object[]
required

The array of inventory sites.